# class Tk::Tcllib::Widget::Scrolledwindow

### Constants

TkCommandNames
PACKAGE_NAME

### Public Class Methods

package_name() click to toggle source

    # File lib/tkextlib/tcllib/scrolledwindow.rb, line 20
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/scrolledwindow.rb, line 24
    def self.package_version
      begin
        TkPackage.require('widget::scrolledwindow')
      rescue
        ''
      end
    end

### Public Instance Methods

get_frame()
Alias for: getframe
getframe() click to toggle source

    # File lib/tkextlib/tcllib/scrolledwindow.rb, line 49
    def getframe
      window(tk_send_without_enc('getframe'))
    end

Also aliased as: get_frame
set_widget(w)
Alias for: setwidget
setwidget(w) click to toggle source

    # File lib/tkextlib/tcllib/scrolledwindow.rb, line 54
    def setwidget(w)
      window(tk_send_without_enc('setwidget', w))
    end

Also aliased as: set_widget

### Private Instance Methods

__numlistval_optkeys() click to toggle source

    # File lib/tkextlib/tcllib/scrollwin.rb, line 39
    def __numlistval_optkeys
      ['ipad']
    end

create_self(keys) click to toggle source

    # File lib/tkextlib/tcllib/scrolledwindow.rb, line 39
    def create_self(keys)
      if keys and keys != None
        tk_call_without_enc(self.class::TkCommandNames[0], @path,
                            *hash_kv(keys, true))
      else
        tk_call_without_enc(self.class::TkCommandNames[0], @path)
      end
    end